Subject: Re: Another CMS question
From: [email-masked] (Scott Glenn Hopwood)
Date: 12 May 1994 00:32:40 +1000
Newsgroups: comp.sys.apple2

CMS - The mysteries explained.

The CMS hard drive: is a SCSI drive. It is a standard SCSI device and can
	be used with other SCSI devices. That's the easy part out of the way.

The CMS SCSI card: is a SCSI interface card which works best with ONE
	hard disk attached with not more than TWO partitions of 32MBs each.

The CMS SCSI card uses jumper blocks on the card itself to determine
hard disk size, partition sizes, partition starting points, scsi IDs etc.

Once a hard disk has been formatted with the CMS SCSI card/software, it
CAN NOT be recognised by other SCSI cards (Apple/RamFAST) without being
re-formatted. ie. taking your hard disk to a non-CMS owning friend's
place is not going to be a pleasant experience.

Obviously, with so many jumpers on the card, software and manuals are
pretty much essential if you plan to change your settings or add devices.

There is also a complication factor here: there were three CMS ROMs
released (9th Nov 87, Sep/Oct 89, 1st Mar 90). Each ROM was accompanied
by software and a manual. The jumper settings for each ROM revision are
NOT CONSISTENT!!! Make sure you get the right software and manual for
the version of the ROM you have. This will save you a lot of heartache!

The first ROM will only (as memory serves) handle one device with a maximum
of two partitions. Maximum partition size 32MB.

The second ROM was a little more flexible (memory fails me here) but it
added an unfriendly feature (reseek to track 0 in times of non-use) which
caused programs to fail.

The third ROM allows multiple devices (SCSI max = 7) with  multiple partitions
 to be connected at one time. Maximum partition size 32MB. The down side to
 this is that only two partitions could be accessed at any one time. If you
 wanted another partition you had to switch it in at boot time.
 
If anyone wants more specific answers, I'll be happy to help.

If anyone is at a complete loss for software and manuals, contact me
with your request and I'll see what I can do.

If anyone wants to get a new ROM version burnt, try contacting CMS directly.
They probably will deny all knowledge....

I have all three ROMs, manuals, and software.
This doesnt make me an expert, or a Kwik franchise :)

Regards,
Andrew Roughan
t

-- 
----
Andrew Roughan
Apple // Sub-editor, Applecations Magazine, Apple Users' Group, Sydney, OZ!
[email-masked]      OR     [email-masked]
Path: news1.icaen!news.uiowa.edu!chi-news.cic.net!newsxfer.nether.net!newbabylon.rs.itd.umich.edu!newsxfer3.itd.umich.edu!cpk-news-hub1.bbnplanet.com!news.bbnplanet.com!ais.net!uunet!in3.uu.net!206.72.128.98!news.icix.net!news.innet.com!news
From: [email-masked] (Alan)
Newsgroups: comp.sys.apple2
Subject: Re: SCSI Blues [Was: Re: AppleII Gs Problems]
Date: Wed, 30 Apr 1997 02:44:16 GMT
Organization: A Red Hat Commercial Linux Site
Lines: 185
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]> <[email-masked]>
NNTP-Posting-Host: tex-223.camalott.com
X-Newsreader: Forte Free Agent 1.1/32.230

this will be long... but I'll try to keep it as short as possible...

[email-masked] (Adam Powers) wrote:

>While on the subject of IIgs cards...
>
>I recently acquired an 'as is' IIgs which I've been nursing back to health.
>It's a "Woz" edition - I upgraded the ROM to version 01, and it now has 1280K
>of RAM.  I can boot from floppy with GSOS 6, so the next logical step is to
>add a hard drive...  Here's where I get stuck.  I pulled an Apple-branded
>40 MB Quantum drive from a scuttled Mac and put it in an external case.
>With the SCSI ID set to 6 and termination on, the drive showed up just fine
>when connected to a Mac.  The GSOS installer couldn't find it.  I used the
>Apple's HD SC Setup on the Mac to reformat and create ProDOS partitions on
>the drive, but still no luck.
>
>Any suggestions on whether this is a software or hardware problem
>(i.e., am I missing something simple like installing a IIgs-specific driver)?
>My card is labeled "CMS SCSI II" and I've tried it in a couple of slots.
>There are many many jumpers on the card, and I don't know what they do.  
>Here's the layout of the card:
according to CMS scsi II interface card owners manual (rev. 1/11/88)

>"JP1" just below the ribbon cable - jumpered
is "Reset.  Jumper should be in place for single drive use."  I
suspect this has to do with making the drive reset when the computer
resets...  

>"JP2" just above the ribbon cable - open
is "Reserved for future use."

>then there are six banks of eight jumpers each:
and this is where it gets involved.... 

>"D10" - #6 is jumpered, rest open
is actually "DID" (Dee Eye Dee) and is "Drive 'ID'.  Sets the Drive
'ID' to the target drive(s) from host card with read or read/write
options for drive 1 and drive 2."  As in, "on the scsi bus...", "who
is drive one?",  and "who is drive two?" and "are they writable?".
Jumpers 1, 2 & 3 set the scsi id of drive one, jumpers 6, 7, 8 set the
scsi id of drive 2, jumper 4 makes drive one writable, jumper 5 makes
drive 2 writable.  These are used (not jumpered) to make the volume
"write protected".  This would be useful if one were klutzy and prone
to delete massive numbers or files, or more usefully, to allow 2 or
more computers to access files without corrupting the file structure
by having 2 operatings systems manipulating (writing to) the Volume
Directory or Volume Bit Map.

ID	Jumpers
	drive 1	drive 2
0	none	none
1	1	6
2	2	7
3	1-2	6-7
4	3	8
5	1-3	6-8
6	2-3	7-8
7	1-2-3	6-7-8

>"SZ1" - all open
is "Size of Drive 1 (in Megabytes) Example: 20 MB, 40mb, etc."
just count in base two from 1 to 32.  jumper 1 is least, 5 is most
significant digit.

Meg	Jumpers
1	none
2	1
3	2
4	1-2
5	3
6	1-3
7	2-3
8	1-2-3
9	4
10	1-4
..
..
..
..
25	4-5
26	1-4-5
27	2-4-5
28	1-2-4-5
29	3-4-5
30	1-3-4-5
31	2-3-4-5
32	1-2-3-4-5

>"PS1" - #4,5,6 and 8 jumpered
is "Starting point of Drive 1.  Example: 15 MB point on a 20mb drive."
so you can have 1 or 2 "apple" drives on the "physical" drive... 

Starting
Point in
MB	Jumpers
0	none
5	1
10	2
15	1-2
19	3
20	1-3
21	2-3
25	1-2-3
30	4
35	1-4
..
..
by fives
..
..
145	1-2-3-4-5
150	6
155	1-6
160	2-6
200	1-2-6	(I don't know if 165 through 195 or supported)

>"PS2" - all open
is "Starting Point of Drive 2.  Example:  20 MB point on a 40 MB
drive."  Used *like* "PS1" but used *for* setting the second "apple"
drive on that scsi device after the first "apple" drive on that scsi
device.

use the same jumper layout as shown for "PS1".

>"HID" - #1 jumpered
is "Host 'ID'. Example: '0' to '7'.  Must be different on each Host
Card.  Pin 4 of HID with Rom version 9.24.87 determines whether the
drive will be used as single or double volume."

ID	Jumper
0	none
1	1
2	2
3	1-2
4	3
5	1-3
6	2-3
7	1-2-3

Jumper 4 Only **
(rom v. 11.09.87)
ON = Supports 2 drives
OFF = Supports 1 drive

"** NOTE:  HID position 4 determines single or double volumes.  If
Drive 1 and Drive 2 have the same SCSI ID, the HID '4' determines
whether the drive will be used as a single volume or double volume.
If Drive 1 and Drive 2 have different ID's, then HID '4' has no effect
and the two drives ID's will always be active.  This feature used on
20 MB hard disks with one partition to eliminate two identical volumes
appearing (ed.) on DeskTop II and when listing volumes with the
Filer."   When using a single partion on a single drive on the card,
it will report the same single partition twice to the operating
system.. .even though there is only one.

>"SZ2" - #3,4 and 5 jumpered
is "Size of Drive 2 (in Megabytes)  Example:  20 MB, 40 MB, etc."
Basically the same as "SZ1".  Use the table for "SZ1" above.

>Any suggestions/insights welcome!  Thanks.
since you asked...  set it up as two 20 meg volumes....
using jumpers set to

DID = 2-3-4-5-7-8    where 2-3 = volume1 is scsi 6, 7-8 = volume 2 is
scsi 6, 4 & 5 = writeable on both "apple" volumes.
SZ1 = 1-2-5  where "apple" volume 1 is 20 meg
PS1 = none where the starting position is at the 0 (zero) meg
position.
HID = 1-2-3 where CMS card's scsi ID is 7
SZ2 = 1-2-5 where "apple" volume 2 is 20 meg
PS2 = 1-3 where "apple" volume 2 starts at the 20 meg position

hope this helps
>
>--
>          Republicans, Democrats won't give you the facts
>          Your parents won't tell you 'til you're grown
>          Every star that shines in the back of your mind is just waiting
>          For its cover to be blown!  - Uncle Tupelo's "We've Been Had"
>Adam Powers ||| [email-masked] ||| http://aladdin.rado.uic.edu/~adam

--
        Alan
e-mail: [email-masked]  delete ".nospam"
 voice: +915.672.2881 (somebody's... but not mine)